aboutsummaryrefslogtreecommitdiff
path: root/src/androidtest.bash
diff options
context:
space:
mode:
Diffstat (limited to 'src/androidtest.bash')
-rwxr-xr-xsrc/androidtest.bash8
1 files changed, 8 insertions, 0 deletions
diff --git a/src/androidtest.bash b/src/androidtest.bash
index 326bce6608..84c2222b24 100755
--- a/src/androidtest.bash
+++ b/src/androidtest.bash
@@ -23,6 +23,14 @@ if [ "$GOOS" != "android" ]; then
exit 1
fi
+if [ -z $GOARM ]; then
+ export GOARM=7
+fi
+if [ "$GOARM" != "7" ]; then
+ echo "android only supports GOARM=7, got GOARM=$GOARM" 1>&2
+ exit 1
+fi
+
export CGO_ENABLED=1
unset GOBIN